// (C) Copyright 2003: Reece H. Dunn 

#ifndef BOOST__IO__FORMAT_OBJECTS__STATIC_NARY_OUTPUT__IPP
#define BOOST__IO__FORMAT_OBJECTS__STATIC_NARY_OUTPUT__IPP
   template< typename FormatType, typename Outputter >
   boost::io::static_nary_output< FormatType, Outputter >::static_nary_output() throw()
   {
   }
   template< typename FormatType, typename Outputter >
   boost::io::static_nary_output< FormatType, Outputter >::static_nary_output( const Outputter & o ) throw():
      out( o )
   {
   }
   template< typename FormatType, typename Outputter >
   boost::io::static_nary_output< FormatType, Outputter >::static_nary_output( const static_nary_output & o ) throw():
      formatter_t< FormatType, static_nary_output >( o ),
      out( o.out )
   {
   }

   // static_nary_output generators

   boost::io::static_nary_output< char > boost::io::static_naryfmt()
   {
      return( boost::io::static_nary_output< char >());
   }

   template< typename FormatType >
   boost::io::static_nary_output< FormatType > boost::io::static_naryfmtex()
   {
      return( boost::io::static_nary_output< FormatType >());
   }
#endif
